summaryrefslogtreecommitdiff
path: root/x11-base
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2021-07-12 08:52:30 +0100
committerV3n3RiX <venerix@redcorelinux.org>2021-07-12 08:52:30 +0100
commit4e98e2a96a4ae6ec92642798e319d72d1cc33e15 (patch)
treeea760660c9fdb56c2ad0c982fd1fc9480b6a9a83 /x11-base
parent1df3f6e3399b999f1cc1912bdcf9453bacbd1611 (diff)
xorg-base/xorg-server : version bump
Diffstat (limited to 'x11-base')
-rw-r--r--x11-base/xorg-server/Manifest2
-rw-r--r--x11-base/xorg-server/xorg-server-1.20.12-r100.ebuild (renamed from x11-base/xorg-server/xorg-server-1.20.11-r100.ebuild)65
2 files changed, 31 insertions, 36 deletions
diff --git a/x11-base/xorg-server/Manifest b/x11-base/xorg-server/Manifest
index fad12568..8b867331 100644
--- a/x11-base/xorg-server/Manifest
+++ b/x11-base/xorg-server/Manifest
@@ -1 +1 @@
-DIST xorg-server-1.20.11.tar.bz2 6476116 BLAKE2B 71ec31c4ed050a3e27fadd525f1039895e43571c04b0a1efa9b35fda318f17b3c89d403c914c591345e7d245a7ebbd6e0f206e4415c1d54f1368fb0735a3d7ef SHA512 1017015b9fd5d53788abe3641d877e6df8609841fa5c1847c0a5e133ddcc1b758a5d695304ebd36828099ec201a85b6b70b46f5ea4f81c5bd3a16fa6e175e3c2
+DIST xorg-server-1.20.12.tar.xz 5143456 BLAKE2B 1e70823890ccb382add92b8bda9e88168477d651edee70a97fd7632a290a20b8848f2c364aa859700e3e8528e4211d39104fa7dafac3f75f8e51afcfa98cffcf SHA512 98350c42fb1f10c965663c1c8d4b225689a6a63163d788d454aa71b28b9cc8fcf9709a932f882358a13ca0c277c0c15812d05919092b4c32828d4ed61cca0406
diff --git a/x11-base/xorg-server/xorg-server-1.20.11-r100.ebuild b/x11-base/xorg-server/xorg-server-1.20.12-r100.ebuild
index c85af5ab..9feb10d9 100644
--- a/x11-base/xorg-server/xorg-server-1.20.11-r100.ebuild
+++ b/x11-base/xorg-server/xorg-server-1.20.12-r100.ebuild
@@ -4,23 +4,23 @@
EAPI=7
XORG_DOC=doc
+XORG_TARBALL_SUFFIX="xz"
inherit xorg-3 multilib flag-o-matic toolchain-funcs
EGIT_REPO_URI="https://gitlab.freedesktop.org/xorg/xserver.git"
DESCRIPTION="X.Org X servers"
SLOT="0/${PV}"
if [[ ${PV} != 9999* ]]; then
- KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
fi
IUSE_SERVERS="dmx kdrive wayland xephyr xnest xorg xvfb"
-IUSE="${IUSE_SERVERS} debug +elogind ipv6 libressl minimal selinux suid systemd test +udev unwind xcsecurity"
+IUSE="${IUSE_SERVERS} debug +elogind ipv6 minimal selinux suid systemd test +udev unwind xcsecurity"
RESTRICT="!test? ( test )"
CDEPEND="
media-libs/libglvnd[X]
- !libressl? ( dev-libs/openssl:0= )
- libressl? ( dev-libs/libressl:0= )
+ dev-libs/openssl:0=
>=x11-apps/iceauth-1.0.2
>=x11-apps/rgb-1.0.3
>=x11-apps/xauth-1.0.3
@@ -68,11 +68,6 @@ CDEPEND="
)
udev? ( virtual/libudev:= )
unwind? ( sys-libs/libunwind )
- wayland? (
- >=dev-libs/wayland-1.3.0
- >=media-libs/libepoxy-1.5.4[egl(+)]
- >=dev-libs/wayland-protocols-1.18
- )
>=x11-apps/xinit-1.3.3-r1
systemd? (
sys-apps/dbus
@@ -101,10 +96,10 @@ DEPEND="${CDEPEND}
RDEPEND="${CDEPEND}
!systemd? ( gui-libs/display-manager-init )
selinux? ( sec-policy/selinux-xserver )
+ wayland? ( x11-base/xwayland )
"
BDEPEND="
sys-devel/flex
- wayland? ( dev-util/wayland-scanner )
"
PDEPEND="
xorg? ( >=x11-base/xorg-drivers-$(ver_cut 1-2) )"
@@ -125,29 +120,22 @@ PATCHES=(
"${FILESDIR}"/${PN}-1.12-unloadsubmodule.patch
# needed for new eselect-opengl, bug #541232
"${FILESDIR}"/${PN}-1.18-support-multiple-Files-sections.patch
- "${FILESDIR}"/xserver-autobind-hotplug.patch
+ "${FILESDIR}"/xserver-autobind-hotplug.patc
)
-pkg_setup() {
- if use wayland && use minimal; then
- ewarn "glamor is necessary for acceleration under Xwayland."
- ewarn "Performance may be unacceptable without it."
- ewarn "Build with USE=-minimal to enable glamor."
- fi
-
+src_configure() {
# localstatedir is used for the log location; we need to override the default
# from ebuild.sh
# sysconfdir is used for the xorg.conf location; same applies
# NOTE: fop is used for doc generating; and I have no idea if Gentoo
# package it somewhere
- XORG_CONFIGURE_OPTIONS=(
+ local XORG_CONFIGURE_OPTIONS=(
$(use_enable ipv6)
$(use_enable debug)
$(use_enable dmx)
$(use_enable kdrive)
$(use_enable test unit-tests)
$(use_enable unwind libunwind)
- $(use_enable wayland xwayland)
$(use_enable !minimal record)
$(use_enable !minimal xfree86-utils)
$(use_enable !minimal dri)
@@ -164,6 +152,7 @@ pkg_setup() {
$(use_with doc doxygen)
$(use_with doc xmlto)
$(use_with systemd systemd-daemon)
+ --disable-xwayland
--enable-libdrm
--sysconfdir="${EPREFIX}"/etc/X11
--localstatedir="${EPREFIX}"/var
@@ -180,17 +169,28 @@ pkg_setup() {
if use systemd || use elogind; then
XORG_CONFIGURE_OPTIONS+=(
- "--enable-systemd-logind"
- "--disable-install-setuid"
- "$(use_enable suid suid-wrapper)"
+ --enable-systemd-logind
+ --disable-install-setuid
+ $(use_enable suid suid-wrapper)
)
else
XORG_CONFIGURE_OPTIONS+=(
- "--disable-systemd-logind"
- "--disable-suid-wrapper"
- "$(use_enable suid install-setuid)"
+ --disable-systemd-logind
+ --disable-suid-wrapper
+ $(use_enable suid install-setuid)
)
fi
+
+ xorg-3_src_configure
+}
+
+server_based_install() {
+ if ! use xorg; then
+ rm -f "${ED}"/usr/share/man/man1/Xserver.1x \
+ "${ED}"/usr/$(get_libdir)/xserver/SecurityPolicy \
+ "${ED}"/usr/$(get_libdir)/pkgconfig/xorg-server.pc \
+ "${ED}"/usr/share/man/man1/Xserver.1x || die
+ fi
}
src_install() {
@@ -201,6 +201,10 @@ src_install() {
if ! use minimal && use xorg; then
# Install xorg.conf.example into docs
dodoc "${S}"/hw/xfree86/xorg.conf.example
+
+ rm \
+ "${ED}"/usr/bin/cvt \
+ "${ED}"/usr/share/man/man1/cvt.1 || die
fi
# install the @x11-module-rebuild set for Portage
@@ -220,12 +224,3 @@ pkg_postrm() {
rm -rf "${EROOT}"/usr/$(get_libdir)/xorg/modules
fi
}
-
-server_based_install() {
- if ! use xorg; then
- rm "${ED}"/usr/share/man/man1/Xserver.1x \
- "${ED}"/usr/$(get_libdir)/xserver/SecurityPolicy \
- "${ED}"/usr/$(get_libdir)/pkgconfig/xorg-server.pc \
- "${ED}"/usr/share/man/man1/Xserver.1x
- fi
-}